UPP Docs
Compliance

Profile approved, needs resubmission or rejected

Sent when the profile becomes approved, resubmission_required or rejected. data has the same shape as GET /customers/{customerId}/profiles/{purpose}.

Request Body

application/json
  1. body
id*string

Event ID (starts with evt_), unchanged across retries

type*string
created_at*string
Formatdate-time
data*

Response Body

Received by the merchant; any 2xx is a success

Example Requests
POST/customer_profile.status_changed
Request Body
application/json
{  "id": "string",  "type": "customer_profile.status_changed",  "created_at": "2019-08-24T14:15:22Z",  "data": {    "id": "string",    "customer_id": "string",    "purpose": "virtual_account",    "type": "individual",    "status": "draft",    "audit_remark": "string",    "submissions": 0,    "approved_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}